import request from '@/utils/request'

// 查询专业与学校关联列表
export function listMallLinkMajorSchool(query) {
  return request({
    url: '/mall/mallLinkMajorSchool/list',
    method: 'get',
    params: query
  })
}

// 查询专业与学校关联详细
export function getMallLinkMajorSchool(linkId) {
  return request({
    url: '/mall/mallLinkMajorSchool/' + linkId,
    method: 'get'
  })
}

// 新增专业与学校关联
export function addMallLinkMajorSchool(data) {
  return request({
    url: '/mall/mallLinkMajorSchool',
    method: 'post',
    data: data
  })
}

// 修改专业与学校关联
export function updateMallLinkMajorSchool(data) {
  return request({
    url: '/mall/mallLinkMajorSchool',
    method: 'put',
    data: data
  })
}

// 删除专业与学校关联
export function delMallLinkMajorSchool(linkId) {
  return request({
    url: '/mall/mallLinkMajorSchool/' + linkId,
    method: 'delete'
  })
}
